#ifndef HEBI_UTIL_H
#define HEBI_UTIL_H

#if !defined(_WIN32) && (defined(__unix__) || defined(__unix) || (defined(__APPLE__) && defined(__MACH__)))
#include <unistd.h>

static inline void hebi_sleep_ms(float ms)
{
  usleep(ms * 1000);
}

static inline void hebi_sleep_s(unsigned int s)
{
  sleep(s);
}

#else
#include <Windows.h>

static inline void hebi_sleep_ms(float ms)
{
  Sleep(ms);
}

static inline void hebi_sleep_s(unsigned int s)
{
  Sleep(s * 1000);
}

#endif

#endif // HEBI_UTIL_H
